%define upstream_name    Unix-Processors
%define upstream_version 2.042

Summary:	Interface to processor (CPU) information
Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 7
License:        GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/UNIX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-devel


%description
Perl interface to processor (CPU) information.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
make test

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README Changes META.yml
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2.42.0-7.mga4
+ Revision: 524549
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 2.42.0-6.mga4
+ Revision: 430998
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.42.0-5.mga3
+ Revision: 374624
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 2.42.0-4.mga3
+ Revision: 251292
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 2.42.0-3.mga2
+ Revision: 105099
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 2.42.0-2.mga1
+ Revision: 31417
- mageia rebuild
- imported package perl-Unix-Processors


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 2.42.0-2mdv2011.0
+ Revision: 555209
- rebuild

* Sun Jan 24 2010 Jérôme Quelin <jquelin@mandriva.org> 2.42.0-1mdv2010.1
+ Revision: 495435
- update to 2.042

* Fri Jan 01 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 2.41.0-1mdv2010.1
+ Revision: 484783
- import perl-Unix-Processors


